Welcome, Guest. Please login or register.
Did you miss your activation email?

Author Topic: Fehler beim Start von Guake und cinnamon-Session  (Read 169 times)

Offline Isegrimm666

  • User
  • Posts: 5
Fehler beim Start von Guake und cinnamon-Session
« on: 2022/07/17, 14:04:22 »
Hallo ...

Ich habe seit dem letzten Upgrade Probleme mit dem Start einiger Komponenten:

Guake
Ich benutze standardmässig "Guake" als Konsole und habe es auch in die Autostartprogramme eingetragen. Bislang klappte alles einwandfei: Der Rechner fuhr hoch, Guake wurde gestartet und das Popup zeigte an, das Guake über [F12] einsatzbereit ist.

Seit dem letzten Upgrade nicht mehr.

Erster Versuch war, Guake über das Menü zu starten. Das Icon erschien im Dock, blieb da eine Weile und verschwand dann - ohne Fehlermeldung - wieder.

Ich habe als nächsten Schritt versucht, Guake in der Konsole zu starten. Hier das Ergebnis:

Code: [Select]
Guake not running, starting it
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/guake/main.py", line 472, in main
    bus = dbus.SessionBus()
  File "/usr/lib/python3/dist-packages/dbus/_dbus.py", line 212, in __new__
    return Bus.__new__(cls, Bus.TYPE_SESSION, private=private,
  File "/usr/lib/python3/dist-packages/dbus/_dbus.py", line 102, in __new__
    bus = BusConnection.__new__(subclass, bus_type, mainloop=mainloop)
  File "/usr/lib/python3/dist-packages/dbus/bus.py", line 124, in __new__
    bus = cls._new_for_bus(address_or_type, mainloop=mainloop)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/guake", line 33, in <module>
    sys.exit(load_entry_point('guake==3.9.0', 'console_scripts', 'guake')())
  File "/usr/lib/python3/dist-packages/guake/main.py", line 648, in exec_main
    if not main():
  File "/usr/lib/python3/dist-packages/guake/main.py", line 487, in main
    from guake.guake_app import Guake
  File "/usr/lib/python3/dist-packages/guake/guake_app.py", line 49, in <module>
    from guake import notifier
  File "/usr/lib/python3/dist-packages/guake/notifier.py", line 23, in <module>
    gi.require_version("Notify", "0.7")
  File "/usr/lib/python3/dist-packages/gi/__init__.py", line 129, in require_version
    raise ValueError('Namespace %s not available for version %s' %
ValueError: Namespace Notify not available for version 0.7

Das sagte mir erstmal nichts. Danach wollte ich in "Einstellungen/ Startprogramme" nachsehen, ob Guake dort noch vorhanden war. Beim Anklicken des Icons kam das gleiche Verhalten wie oben.

Ich habe als nächsten Schritt versucht, auch diesen Menüpunkt über die Konsole zu starten, wobei ich erstmal den Befehl googlen musste. Hier das Ergebnis:

Cinnamon-Session

Code: [Select]
cinnamon-session[136661]: WARNING: t+0,01173s: Could not get session id for session. Check that logind is properly installed and pam_systemd is getting used at login.

Ich habe nun versucht, mit den Fehlermeldungen zu googlen ...

... allerdings ohne Erfolg.

Irgendwelche Ideen?

Genutzter Kernel: kernel 5.18-12-1-siduction-amd64

Grüße

Stefan

Offline edlin

  • User
  • Posts: 111
Der Kluge lernt aus allem und von jedem,
der Normale aus seinen Erfahrungen
und der Dumme weiß alles besser.

Sokrates

Offline Isegrimm666

  • User
  • Posts: 5
[GELÖST]: Fehler beim Start von Guake und cinnamon-Session
« Reply #2 on: 2022/07/18, 08:36:24 »
[Gelöst]

Hi Edlin ...

Danke für den Hinweis ... eben mit apt update die Pakete gecheckt ... libnotify war dabei ... dist-upgrade gestartet:

Zugriff auf "Startprogramme" und "guake" wieder möglich.  ;)

Alles wird gut.  :)

Grüße

Stefan